*** Replication code for Pasricha, Falagiarda, Bijsterbosch and Aizenman (2015) - Section 3: Recent trends in capital controls (Figures 2-3)
** Note: Figures 1-3 were made in excel in the paper. 

** change to your local directory here:
cd "C:\"


use Dataset_Figures2_3.dta, clear
local varlist easingin easingout easingio tighteningin tighteningout tighteningio ///
wgt_easingin wgt_easingout wgt_easingio wgt_tighteningin wgt_tighteningout wgt_tighteningio ///
nkired wgt_nkired nkiinc wgt_nkiinc netnkirestr wgt_netnkirestr ///
hotnkired wgt_hotnkired hotnkiinc wgt_hotnkiinc hotnettighteningin wgt_hotnettighteningin ///
hotneteasingout wgt_hotneteasingout hotnetnkirestr wgt_hotnetnkirestr ///
hoteasingin hoteasingout hoteasingio hottighteningin hottighteningout hottighteningio ///
wgt_hoteasingin wgt_hoteasingout wgt_hoteasingio wgt_hottighteningin wgt_hottighteningout wgt_hottighteningio hotnki_sa gdp_usd_iar ///

foreach x of local varlist {
bysort quarterly: egen em_`x' = total(`x')
local l`x' : variable label `x'
label var em_`x' `"EME: `l`x''"'
}

foreach x in hotnkiz hotnki_saz NKI_sazgdp {
bysort quarterly: egen em_`x'_m = mean(`x')
local l`x' : variable label `x'
label var em_`x'_m `"EME Avg: `l`x''"'
}

by quarterly: keep if _n==_N
keep quarterly em_* 

gen em_hotnki_saz1 = em_hotnki_sa*400/em_gdp_usd_iar
ren em_* *

gen wgt_neteasout = wgt_easingout-wgt_tighteningout
gen wgt_neteasin =-wgt_tighteningin+wgt_easingin
gen wopen = wgt_neteasout+wgt_neteasin

** Figure 2 
twoway (bar wgt_netnkirestr quarterly, yaxis(1) ylabel(-6(2)8) barw(0.5)) (line NKI_sazgdp_m quarterly, yaxis(2) ylabel(-6(2)8, axis(2)) lwidth(thick) lcolor(black)), legend(rows(2)) graphregion(color(white) lcolor(black)) ///
legend(label(1 "Net NKI Restricting Measures") label(2 "Net Capital Inflows")) ytitle("Number of (weighted) measures", axis(1)) ytitle("% of GDP", axis(2)) xtitle("") name(ann, replace) xlabel(#11, angle(90)) 

** Figure 3a
gen squarterly = string(quarterly, "%tq")
labmask quarterly, values(squarterly)

graph bar (asis) wgt_neteasout wgt_neteasin, over(quarterly, label(angle(90)))  bar(3, fintensity(inten60)) stack bar(4, fintensity(inten60))  graphregion(color(white) lcolor(black)) ///
legend(rows(2)) legend(order(2 1) label(1 "Net easings of outflow controls") label(2 "Net easings of inflow controls"))  ytitle("Number of Measures") ///
 name(all_comp1, replace)

** Figure 3b
graph bar (asis) wgt_tighteningin	wgt_easingin, over(quarterly, label(angle(90)))  bar(3, fintensity(inten60)) bar(4, fintensity(inten60))  graphregion(color(white) lcolor(black)) ///
legend(rows(2)) legend(order(2 1) label(1 "Inflow Tightenings") label(2 "Inflow Easings"))  ytitle("Number of Measures") name(all_comp2, replace)

** Take relevant series to excel to recreate figure formatting as in the paper
* Figure 2
br quarterly wgt_netnkirestr NKI_sazgdp_m  
* Figure 3
br quarterly wgt_tighteningin	wgt_easingin	wgt_neteasout	wgt_neteasin	wopen

